summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
authorHekuran <hekurangashi@pm.me>2021-09-23 20:54:58 +0200
committerGitHub <noreply@github.com>2021-09-23 14:54:58 -0400
commit15d09bac36f1a5845c87d6c5f4edb64634407546 (patch)
treee30e6277d6e5405d40f23fceb7353d3844814597 /.local
parent5caaa489ac45e23d1c0160ab6668d12585f6bffe (diff)
downloadeibhear-15d09bac36f1a5845c87d6c5f4edb64634407546.tar.gz
eibhear-15d09bac36f1a5845c87d6c5f4edb64634407546.tar.zst
eibhear-15d09bac36f1a5845c87d6c5f4edb64634407546.zip
sysact rewrite and minor stuff (#1000)
* minor forgoten stuff we already have shutdown in sudo loop * why was this still here? it belongs in ~/.config/ * what the actual phucc * implemented loginctl and fixed shebang
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/sysact30
1 files changed, 13 insertions, 17 deletions
diff --git a/.local/bin/sysact b/.local/bin/sysact
index a820158..451815d 100755
--- a/.local/bin/sysact
+++ b/.local/bin/sysact
@@ -1,22 +1,18 @@
#!/bin/sh
-
# A dmenu wrapper script for system functions.
-
-# For non-systemd init systems.
case "$(readlink -f /sbin/init)" in
- *runit*) hib="sudo -A zzz" ;;
- *openrc*) reb="sudo -A openrc-shutdown -r"; shut="sudo -A openrc-shutdown -p 0" ;;
+ *systemd*) ctl='systemctl' ;;
+ *) ctl='loginctl' ;;
esac
-cmds="\
-🔒 lock slock
-🚪 leave dwm kill -TERM $(pgrep -u $USER "\bdwm$")
-♻ renew dwm kill -HUP $(pgrep -u $USER "\bdwm$")
-🐻 hibernate slock ${hib:-systemctl suspend-then-hibernate -i}
-🔃 reboot ${reb:-sudo -A reboot}
-🖥 shutdown ${shut:-sudo -A shutdown -h now}
-📺 display off xset dpms force off"
-
-choice="$(echo "$cmds" | cut -d' ' -f 1 | dmenu)" || exit 1
-
-eval "$(echo "$cmds" | grep "^$choice " | cut -d ' ' -f2-)"
+case "$(printf "🔒 lock\n🚪 leave dwm\n♻️ renew dwm\n🐻 hibernate\n💤 sleep\n🔃 reboot\n🖥️shutdown\n📺 display off" | dmenu -i -p 'Action: ')" in
+ '🔒 lock') slock ;;
+ '🚪 leave dwm') kill -TERM "$(pgrep -u "$USER" "\bdwm$")" ;;
+ '♻️ renew dwm') kill -HUP "$(pgrep -u "$USER" "\bdwm$")" ;;
+ '🐻 hibernate') slock $ctl hibernate ;;
+ '💤 sleep') slock $ctl suspend ;;
+ '🔃 reboot') $ctl reboot ;;
+ '🖥️shutdown') $ctl poweroff ;;
+ '📺 display off') xset dpms force off ;;
+ *) exit 1 ;;
+esac